unit UMain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, CWindowThread, CSplashWindow, StdCtrls, uPassword;

type
  TMainForm = class(TForm)
    Button1: TButton;
    CSplashWindow1: TCSplashWindow;
/// <summary>    </summary>
///   <param name="Sender">   </param>
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
/// <summary>  </summary>
    fFirstShow: boolean;

  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation

{$R *.dfm}

procedure TMainForm.Button1Click(Sender: TObject);
begin
  SplashWindow.Enabled := true;
  SplashWindow.Percent := -1;
  SplashWindow.TotalTimeSec := -1;
  SplashWindow.IconSize := 0;
  SplashWindow.StayOnTopSec := 1000;
  SplashWindow.Visible := true;
  while SplashWindow.Window = nil do
    Sleep(100);

  SplashWindow.Window.AlphaBlendValue := 255;
end;

procedure TMainForm.FormCreate(Sender: TObject);
begin
  fFirstShow := true;

end;

procedure TMainForm.FormShow(Sender: TObject);
var F: TPasswordForm;
begin
  if fFirstShow then
  begin
    F := TPasswordForm.Create(Self);
    F.ShowModal;
    FreeAndNil(F);
    fFirstShow := False;
  end;
end;

end.
